Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3745 - xscreensaver won't be invoked if startx'ed by root (GNOME)
Summary: xscreensaver won't be invoked if startx'ed by root (GNOME)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
: 120717 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-26 17:06 UTC by hvv
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-29 15:44:24 UTC


Attachments (Terms of Use)

Description hvv 1999-06-26 17:06:50 UTC
If I start X (with gnome) using default 'startx' just, the xscreensaver can't be invoked - xauth tells that authentification failed for 'nobody'. This causes GNOME's gpanel 'Lock screen' menu entry not functioning (seems screensaver won't be invoked after specified delay, etc). Thanks.

Comment 1 Derek Tattersall 1999-06-28 14:28:59 UTC
I can't tell whether this is a gnome bug or an xscreensaver feechur.
It's easily duplicable.

Comment 2 Bill Nottingham 1999-06-29 15:44:59 UTC
We won't fix this. The alternative is to have xscreensaver stay
running as root when called by root, which opens up *gaping*
security holes if it's run from xdm, or other similar methods.

Comment 3 Bill Nottingham 2004-04-13 14:56:37 UTC
*** Bug 120717 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.